From 6e6705511900b8f8b412218d679969f6e92181a2 Mon Sep 17 00:00:00 2001
From: Zzull <bstrazzull@hotmail.fr>
Date: Sat, 29 Oct 2022 03:14:01 +0200
Subject: [PATCH 10/13] gnu: Add clojure-tools-namespace

* gnu/packages/clojure.scm (clojure-tools-namespace): New variable.
---
 gnu/packages/clojure.scm | 31 +++++++++++++++++++++++++++++++
 1 file changed, 31 insertions(+)

diff --git a/gnu/packages/clojure.scm b/gnu/packages/clojure.scm
index ea1681832e..85c7551294 100644
--- a/gnu/packages/clojure.scm
+++ b/gnu/packages/clojure.scm
@@ -722,6 +722,37 @@ (define-public clojure-tools-reader
 0.10.0-alpha1")
     (license license:epl1.0)))
 
+(define-public clojure-tools-namespace
+  (package
+    (name "clojure-tools-namespace")
+    (version "1.3.0")
+    (source (origin
+              (method git-fetch)
+              (uri (git-reference
+                    (url "https://github.com/clojure/tools.namespace")
+                    (commit (string-append "v" version))))
+              (file-name (git-file-name name version))
+              (sha256
+               (base32
+                "0v11gh5cxqnipmrk3kjjb5bq91lrs08wii0pp9mzibfqwlb09idy"))))
+    (build-system clojure-build-system)
+    (arguments
+     '(#:source-dirs '("src/main/clojure")
+       #:test-dirs '("src/test/clojure")
+       #:doc-dirs '()))
+    (inputs
+     (list clojure-tools-reader
+           clojure-java-classpath))
+    (home-page "https://github.com/clojure/tools.namespace")
+    (synopsis "Tools for managing namespaces in Clojure")
+    (description "Clojure-tools-namespace parses ns declarations from source
+files, extract their dependencies, build a graph of namespace dependencies
+within a project, update that graph as files change, and reload files in the
+correct order.  This is only about namespace dependencies within a single
+project.  It has nothing to do with Leiningen, Maven, JAR files, or
+repositories.")
+    (license license:epl1.0)))
+
 (define-public clojure-tools-gitlibs
   (package
     (name "clojure-tools-gitlibs")
-- 
2.38.0

